Автор Тема: Устаревшая видеокарта и Jessie. Частичное обновление.  (Прочитано 3172 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
Здравствуйте.
Прошу проконсультировать по поводу следующей ситуации:
Имеется пожилой ноутбук со старенькой видеокартой Radeon HD 3430. В Wheezy видеокарта успешно поддерживалась проприетарными драйверами AMD Catalyst Legacy 13.1 из wheezy-backports.
Возникло желание обновиться до Jessie. Но в Jessie проприетарные драйвера (AMD Catalyst 14.9) данную модель видеокарты не поддерживают, а свободные драйвера (free radeon driver) меня не устраивают.
Существует ли решение, позволяющее работать на актуальной версии Debian с поддержкой устаревшей видеокарты Radeon HD 3430?
Решит ли мою проблему частичное обновление дистрибутива (правка sources.list -> apt-get update && apt-get upgrade без apt-get dist-upgrade)?
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3160
  • Linux Registered User #547151
Частичное обновление может привести к неработоспособности системы.
Wheezy будет поддерживаться ещё как минимум год.
в репах сида я так же обнаружил fglrx-legacy-driver, возможно он вам подойдёт.

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
Судя по описанию на https://packages.debian.org/ru/sid/fglrx-legacy-driver драйвер из Sid репозитория поддерживает AMD Radeon HD 3000.
У меня нет опыта установки и использования пакетов из sid, но я попробую. Из какого репозитория нужно будет установить дополнительно запрашиваемые пакеты (fglrx-legacy-modules-dkms) из Jessie или из Sid? Ядро, я так полагаю, можно будет использовать стандартное из Jessie?
 

Оффлайн Leo

  • Старожил
  • ****
  • Сообщений: 843
  • Jabber: leo.bs@jabber.ru
Не пробовали на Jessie поставить драйвер из Wheeze?

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
На Jessie поставить драйвер из Wheezy пробовал - уперся в серьезные зависимости.
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 621
  • Debian 7, lxde
Странно. Вы говорите о apt-get dist-upgrade, я не набирал в командной строке dist, просто upgrade, но система с 7.8 стала 8.0, как такое возможно? С версией ядра тоже не понятно что пишет теперь:
uname -a
Linux debian 3.2.0-4-686-pae #1 SMP Debian 3.2.68-1+deb7u1 i686 GNU/Linux
может что-то неправильно обновилось, почему даунгрейд ядра произошел?
Видеокарта намного древнее чем у вас, но настройки вообще менять ничего не пришлось, все работает как и раньше.
« Последнее редактирование: 22 Май 2015, 09:24:49 от sidbar »
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3160
  • Linux Registered User #547151
apt-get upgrade только обновляет установленные пакеты, ни под каким предлогом указанная команда не удаляет или не устанавливает новые пакеты. пакеты, для обновления которых потребуется установить/удалить другие пакеты (зависимости то бишь) не обновляются данной командой.
apt-get dist-upgrade в свою очередь кроме обновления установленных пакетов может удалять и устанавливать новые пакеты, в том числе разруливать зависимости для тех пакетов, которые нужны для обновления уже установленного.
проще говоря если для обновления пакета1 требуется установить новый пакет2 и удалить установленный пакет3, то команда apt-get update просто пропустит обновление пакета1, тогда как apt-get dist-upgrade сделает всё необходимое для обновления пакета1 - установит новый пакет2 и удалит установленный пакет3.

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
Странно. Вы говорите о apt-get dist-upgrade, я не набирал в командной строке dist, просто upgrade, но система с 7.8 стала 8.0, как такое возможно? С версией ядра тоже не понятно что пишет теперь:
uname -a
Linux debian 3.2.0-4-686-pae #1 SMP Debian 3.2.68-1+deb7u1 i686 GNU/Linux
может что-то неправильно обновилось, почему даунгрейд ядра произошел?
Видеокарта намного древнее чем у вас, но настройки вообще менять ничего не пришлось, все работает как и раньше.
Судя по всему, у вас был не даунгрейд, а сохранение ядра от Wheezy c обновлением до последней возможной версии пакета. И вам повезло - работоспособность системы не нарушилась после upgrade.
 

Оффлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1985
  • Новосибирск
И вам повезло - работоспособность системы не нарушилась после upgrade.
в этом плюс apt-get upgrade, система целиком сломаться не сможет. отдельные независимые пакеты - да!

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3160
  • Linux Registered User #547151
endru,
Spoiler: ShowHide
может-может  ;D вот на одном из моих ноутов привело к неработоспособности системы - сделал update и оставил на потом, выключив комп. потом система загрузиться отказалась. загрузился в рекавери мод и сделал dist-upgrade

Оффлайн endru

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 1985
  • Новосибирск
[ot]ой нафлудили...[/ot]
ogost: ShowHide
так это уже отдельный случай. всякое бывает))  у меня такого не случалось ни разу. я везунчик?  :D

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
В общем, на текущий момент у меня на ноуте Wheezy. Драйвера проприетарные. Я попробую произвести полное обновление (upgrade и dist-upgrade) до Jessie, после чего установлю пакет из sid. (Как мне порекомендовал ogost). Насколько такое решение является разумным?
 

Оффлайн ogost

  • Главный модератор
  • Ветеран
  • *****
  • Сообщений: 3160
  • Linux Registered User #547151
EVasilyev, я думаю, что скорее всего нужный вам пакет некоторое время спустя появится и в jessie-backports. я бы на Вашем месте подождал бы с обновлением. хотя появление в бэкпортах вроде никто ещё не гарантировал.

Оффлайн EVasilyev

  • Пользователь
  • *
  • Topic Author
  • Сообщений: 15
EVasilyev, я думаю, что скорее всего нужный вам пакет некоторое время спустя появится и в jessie-backports. я бы на Вашем месте подождал бы с обновлением. хотя появление в бэкпортах вроде никто ещё не гарантировал.
Я последую вашему совету. Обновление не горит. В крайности я стараюсь не впадать.
Спасибо.
 

Оффлайн sidbar

  • Старожил
  • ****
  • Сообщений: 621
  • Debian 7, lxde
apt-get upgrade только обновляет установленные пакеты, ни под каким предлогом указанная команда не удаляет или не устанавливает новые пакеты. пакеты, для обновления которых потребуется установить/удалить другие пакеты (зависимости то бишь) не обновляются данной командой.
apt-get dist-upgrade в свою очередь кроме обновления установленных пакетов может удалять и устанавливать новые пакеты, в том числе разруливать зависимости для тех пакетов, которые нужны для обновления уже установленного.
проще говоря если для обновления пакета1 требуется установить новый пакет2 и удалить установленный пакет3, то команда apt-get update просто пропустит обновление пакета1, тогда как apt-get dist-upgrade сделает всё необходимое для обновления пакета1 - установит новый пакет2 и удалит установленный пакет3.
я нашел такой ответ на форуме, у меня в /apt/sources.lst было прописана стейбл вместо названия дистра, может по этому.

Судя по всему, у вас был не даунгрейд, а сохранение ядра от Wheezy c обновлением до последней возможной версии пакета. И вам повезло - работоспособность системы не нарушилась после upgrade.
у меня в подписи осталось название ядра которое было до обновления, выходит что дайнгрейд ядра все-таки?

подскажите как вернуть ядро или оставить как есть, если все пашет нормально?
Devuan GNU/Linux 3 (beowulf) i686, LXDE
 

Теги: